using SGModule.Common.Helper;
using RedHotRoast;

namespace IgnoreOPS
{

    public class UnityManager : BaseUnityManager<UnityManager>
    {



        public static void DakaiACT()
        {
#if UNITY_IOS && !UNITY_EDITOR
            BrigdeIOS.DakaiACT();
#endif
        }
        public static void ShezhiACT(bool act)
        {
#if UNITY_IOS && !UNITY_EDITOR
        BrigdeIOS.ShezhiACT(act);
#endif
        }
        public void haveSimCard(string have)
        {
            Log.Info("UnityManager", $"haveSimCard: {have}");

            if (have == "TRUE") NetworkManager.haveSimCard = true;
        }
        public void Showtips(string tips)
        {
            GameHelper.ShowTips(tips, true);
        }
        public void CloseDownloadUI(string tips)
        {
            UICtrlDispatcher.Instance.Dispatch(UICtrlMsg.AlbumDetailUI_Close);
            UICtrlDispatcher.Instance.Dispatch(UICtrlMsg.LiveDetailUI_Close);
            UICtrlDispatcher.Instance.Dispatch(UICtrlMsg.SecretDetailUI_Close);
        }

    }
}
